Subject: bug#5364: 23.1.91; execute-extended-command should do like FFAP

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 Jan 2010 17:40:42 -0500

>> It's bad to have a default in the prompt which is almost always not the
>> one you want.  People will soon send bug reports about "M-x chooses dumb
>> defaults".
> I agree that a default should not be in the prompt of M-x.

I could live with that.

> I know that relying on the `minibuffer-history-variable' being equal
> to `extended-command-history' is not a clean solution, but it works,
> and currently I see no other way to achieve the same result.

The behavior is OK, but the implementation sucks too much.  I think we
can do better via minibuffer-with-setup-hook.  That might require to
turn M-x's interactive spec into Elisp (moving the whole of M-x to Elisp
would be good as well, but it's a much bigger effort).

        Stefan